"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.t = exports.initI18n = void 0;
const i18next_1 = __importDefault(require("i18next"));
const repo_app_import_sub_generator_i18n_json_1 = __importDefault(require("../translations/repo-app-import-sub-generator.i18n.json"));
const repoAppDownloadGeneratorNs = 'repo-app-import-sub-generator';
/**
 * Initialize i18next with the translations for this module.
 */
async function initI18n() {
    await i18next_1.default.init({ lng: 'en', fallbackLng: 'en' }, () => i18next_1.default.addResourceBundle('en', repoAppDownloadGeneratorNs, repo_app_import_sub_generator_i18n_json_1.default));
}
exports.initI18n = initI18n;
/**
 * Helper function facading the call to i18next. Unless a namespace option is provided the local namespace will be used.
 *
 * @param key i18n key
 * @param options additional options
 * @returns {string} localized string stored for the given key
 */
function t(key, options) {
    if (!options?.ns) {
        options = Object.assign(options ?? {}, { ns: repoAppDownloadGeneratorNs });
    }
    return i18next_1.default.t(key, options);
}
exports.t = t;
initI18n().catch(() => {
    // Needed for lint
});
//# sourceMappingURL=i18n.js.map